Name:		nrpe
Version:	2.14
%define subrel	1
Release:	%mkrel 1
Summary:	NRPE daemon for Nagios
License:	GPLv2
Group:		System/Servers
URL:		http://sourceforge.net/projects/nagios/
Source0:	http://prdownloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
Source1:	nrpe.service
Source2:	nrpe.tmpfiles
Patch1:		nrpe-mdv_conf.diff
BuildRequires:	openssl-devel
BuildRequires:	openssl
BuildRequires:	tcp_wrappers-devel
Requires:	tcp_wrappers
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:       nagios-agent
Suggests:	nagios-plugins
Suggests:	nagios-check_users
Suggests:	nagios-check_load
Suggests:	nagios-check_procs
Suggests:	nagios-check_disk

%description
The purpose of this addon is to allow you to execute Nagios plugins on a remote
host in as transparent a manner as possible.

Nrpe is a system daemon that will execute various Nagios plugins locally on
behalf of a remote (monitoring) host that uses the check_nrpe plugin. Various
plugins that can be executed by the daemon are available at:
http://sourceforge.net/projects/nagiosplug

This package provides the core agent.

%package -n	nagios-check_nrpe
Summary:	NRPE Plugin for Nagios
Group:		Networking/Other
Requires:	nagios-plugins

%description -n	nagios-check_nrpe
Nrpe is a system daemon that will execute various Nagios plugins locally on
behalf of a remote (monitoring) host that uses the check_nrpe plugin. Various
plugins that can be executed by the daemon are available at:
http://sourceforge.net/projects/nagiosplug

This package provides the nrpe plugin for Nagios-related applications.

%prep
%setup -q
%patch1 -p0

perl -pi \
    -e 's|/usr/local/nagios/var/rw/nagios.cmd|/var/spool/nagios/nagios.cmd|;' \
    -e 's|/usr/local/nagios/etc/services.cfg|/etc/nagios/services.cfg|;' \
    contrib/nrpe_check_control.c


%build
%configure2_5x \
    --with-nrpe-port=5666 \
    --with-nrpe-user=nagios \
    --with-nrpe-group=nagios \
    --with-nagios-user=nagios \
    --with-nagios-group=nagios \
    --bindir=%{_sbindir} \
    --libexecdir=%{_libdir}/nagios/plugins \
    --datadir=%{_datadir}/nagios \
    --localstatedir=/var/spool/nagios \
    --sysconfdir=%{_sysconfdir}/nagios \
    --enable-command-args
%make

gcc %{optflags} -o contrib/nrpe_check_control contrib/nrpe_check_control.c

%install
rm -rf %{buildroot}

install -D -m 755 src/nrpe %{buildroot}%{_sbindir}/nrpe

install -d %{buildroot}%{_libdir}/nagios/plugins
install -m 755 src/check_nrpe %{buildroot}%{_libdir}/nagios/plugins/check_nrpe
install -m 755 contrib/nrpe_check_control %{buildroot}%{_libdir}/nagios/plugins/nrpe_check_control

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/nrpe.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/nrpe.conf

install -D -m 644 sample-config/nrpe.cfg \
    %{buildroot}%{_sysconfdir}/nagios/nrpe.cfg

install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d

cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_nrpe.cfg <<'EOF'
# this command runs a program $ARG1$ with arguments $ARG2$
define command {
	command_name	check_nrpe
	command_line	%{_libdir}/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$ -a $ARG2$
}

# this command runs a program $ARG1$ with no arguments
define command {
	command_name	check_nrpe_1arg
	command_line	%{_libdir}/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$
}
EOF

cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/nrpe_check_control.cfg <<'EOF'
define command {
	command_name	nrpe_check_control
	command_line	%{_libdir}/nagios/plugins/nrpe_check_control $SERVICESTATE$ $SERVICESTATETYPE$ $SERVICEATTEMPT$ "$HOSTNAME$"
}
EOF

%pre
%_pre_useradd nagios %{_localstatedir}/log/nagios /bin/sh

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel nagios

%files
%doc README LEGAL README.SSL Changelog SECURITY docs/NRPE.pdf
%dir %{_sysconfdir}/nagios/
%config(noreplace) %{_sysconfdir}/nagios/nrpe.cfg
%{_unitdir}/nrpe.service
%{_tmpfilesdir}/nrpe.conf
%{_sbindir}/nrpe

%files -n nagios-check_nrpe
%doc contrib/README.nrpe_check_control
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_nrpe.cfg
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/nrpe_check_control.cfg
%{_libdir}/nagios/plugins/check_nrpe
%{_libdir}/nagios/plugins/nrpe_check_control




%changelog
* Wed Aug 14 2013 luigiwalser <luigiwalser> 2.14-1.1.mga3
+ Revision: 466413
- fix nrpe tmpfiles directory (mga#9972)

* Fri Apr 05 2013 guillomovitch <guillomovitch> 2.14-1.mga3
+ Revision: 408308
- new version

  + dlucio <dlucio>
    - missing /run/nrpe

* Thu Mar 07 2013 dlucio <dlucio> 2.13-7.mga3
+ Revision: 401628
- Some suggests to make installation happier

* Sat Feb 16 2013 dlucio <dlucio> 2.13-6.mga3
+ Revision: 398710
- a suggestion

* Fri Feb 15 2013 dlucio <dlucio> 2.13-5.mga3
+ Revision: 398590
- New provides to let NRPE or Nagios be choosen for plugins

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 guillomovitch <guillomovitch> 2.13-3.mga3
+ Revision: 288802
- minor systemd service fixes

* Tue Sep 04 2012 guillomovitch <guillomovitch> 2.13-2.mga3
+ Revision: 287989
- use /run instead of /var/run
- new version
- drop sysinit support
- systemd support
- /run tmpfs support

  + nanardon <nanardon>
    - imported package nrpe

